rbenvで最新のrubyバージョンが見つからなかったときは





最近、rubyの2.6系の最新バージョンである2.6.4が公開されました。

https://www.ruby-lang.org/en/news/2019/08/28/ruby-2-6-4-released/

rbenv install --list

で新しいrubyのバージョンが確認できなかったときの対処法。

解決策:ruby-buildを最新にする

例えばruby2.6.3 -> 2.6.4 の場合、ruby-build 20190615 のバージョンでは2.6.4がリストに含まれていなかった。

ruby-build 20190828 の バージョンでは入っているので、ruby-buildを最新にアップグレードする。

Macなら、brew upradeでいける

brew upgrade ruby-build

これで

rbenv install 2.6.4

でruby2.6.4がインストールできます。


【PR】 Ruby on Railsを学んで自社開発エンジニアになりたいなら